import { stackableGridVariants } from "./variants"

import type { StackableGridProps } from "./stackable"

export default function Stackable({
  children,
  className,
  columns,
}: React.PropsWithChildren<StackableGridProps>) {
  const classNames = stackableGridVariants({ className, columns })
  return <div className={classNames}>{children}</div>
}
